Ошибка при обновлении Astra Linux v.1.6 Orel

sweetArock

New member
Сообщения
12
#1
Здравствуйте.
При обновлении ОС менеджер строит зависимости скачивает и пытается устанавливать пакеты, но в конце пишет что установка обновлений завершена с ошибкой.
Подскажите где искать отчёт или как это исправить?
 

sweetArock

New member
Сообщения
12
#3
"1.6 орел" не существует.
какую ошибку пишет?
sweetarock@sweetarock:~$ sudo apt --fix-broken install
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Будут установлены следующие дополнительные пакеты:
ia32-libs
Предлагаемые пакеты:
ia32-libs-gtk:amd64
Пакеты, которые будут обновлены:
ia32-libs
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 376 пакетов не обновлено.
не установлено до конца или удалено 47 пакетов.
Необходимо скачать 0 B/96,5 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 357 MB.
Хотите продолжить? [Д/н] Y
(Чтение базы данных … на данный момент установлено 230760 файлов и каталогов.)
Подготовка к распаковке …/ia32-libs_20220124+2.12ce_amd64.deb …
Распаковывается ia32-libs (20220124+2.12ce) на замену (20180423.2) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/ia32-libs_20220124+2.12ce_amd64.deb (--unpack):
попытка перезаписать «/usr/lib32/i386-linux-gnu/libEGL.so.1.1.0», который уже имеется в пакете libnvidia-gl-470:amd64 470.5
7.02-0ubuntu0.18.04.1+ci202108101508+astra1
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
/var/cache/apt/archives/ia32-libs_20220124+2.12ce_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

sweetArock

New member
Сообщения
12
#4
(Reading database ... 230759 files and directories currently installed.)

Preparing to unpack .../ia32-libs_20220124+2.12ce_amd64.deb ...

Unpacking ia32-libs (20220124+2.12ce) over (20180423.2) ...

dpkg: error processing archive /var/cache/apt/archives/ia32-libs_20220124+2.12ce_amd64.deb (--unpack):

trying to overwrite '/usr/lib32/i386-linux-gnu/libEGL.so.1.1.0', which is also in package libnvidia-gl-470:amd64 470.57.02-0ubuntu0.18.04.1+ci202108101508+astra1

dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

Errors were encountered while processing:

/var/cache/apt/archives/ia32-libs_20220124+2.12ce_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Не удалось выполнить обновление
 

Montfer

New member
Сообщения
2 069
#6
пробуй обновлять не через консоль, а через утилиту обновления
 

sweetArock

New member
Сообщения
12
#10
При попытке переустановить пакет libsane1 возвращает это:
E: /var/cache/apt/archives/ia32-libs_20220124+2.12ce_amd64.deb: попытка перезаписать «/usr/lib32/i386-linux-gnu/libEGL.so.1.1.0», который уже имеется в пакете libnvidia-gl-470:amd64 470.57.02-0ubuntu0.18.04.1+ci202108101508+astra1
 

sweetArock

New member
Сообщения
12
#11
При попытке обновить пакет: steam-libs-i386:i386

E: Internal Error, No file name for steam-libs-i386:i386
 

sweetArock

New member
Сообщения
12
#12
E: /tmp/apt-dpkg-install-bZxS8Q/0-ia32-libs_20220124+2.12ce_amd64.deb: попытка перезаписать «/usr/lib32/i386-linux-gnu/libEGL.so.1.1.0», который уже имеется в пакете libnvidia-gl-470:amd64 470.57.02-0ubuntu0.18.04.1+ci202108101508+astra1
 

sweetArock

New member
Сообщения
12
#13
sources.list

deb https://download.astralinux.ru/astra/stable/2.12_x86-64/repository/ orel main contrib non-free
#deb http://mirror.yandex.ru/astra/stable/orel/repository/ orel main contrib non-free

sweetarock@sweetarock:~$ lsb_release -a
No LSB modules are available.
Distributor ID: AstraLinuxCE
Description: Astra Linux CE 2.12.44 (Orel)
Release: 2.12.44
Codename: orel


sweetarock@sweetarock:~$ cat /etc/astra_version
CE 2.12.44 (orel)
 

Montfer

New member
Сообщения
2 069
#14
хз, подобное было, через консоль не обновлялось, но через утилиту установки обновлений проглотило (и тоже стояли дрова на нвида, правда 390й)
 

sweetArock

New member
Сообщения
12
#15
хз, подобное было, через консоль не обновлялось, но через утилиту установки обновлений проглотило (и тоже стояли дрова на нвида, правда 390й)
А ещё вот такое есть
Отсутствует файл:
/usr/share/xsessions/fly-weston.desktop
 

sweetArock

New member
Сообщения
12
#16
При установке любого пакета терминал возвращает ошибку:

dpkg: ошибка при обработке архива /var/cache/apt/archives/ia32-libs_20220124+2.12ce_amd64.deb (--unpack):
попытка перезаписать «/usr/lib32/i386-linux-gnu/libEGL.so.1.1.0», который уже имеется в пакете libnvidia-gl-470:amd64 470.5
7.02-0ubuntu0.18.04.1+ci202108101508+astra1
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
/var/cache/apt/archives/ia32-libs_20220124+2.12ce_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

sweetArock

New member
Сообщения
12
#17
Помогло вот такое:

1. sudo dpkg -i --force-overwrite /var/cache/apt/archives/*.deb
2. sudo apt-get --fix-broken install